Bug 231694 - [macOS][GPUP] Remove access in sandbox to com.apple.audio.AudioComponentRegistrar
Summary: [macOS][GPUP] Remove access in sandbox to com.apple.audio.AudioComponentRegis...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on: 232864 233724
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-13 12:51 PDT by Per Arne Vollan
Modified: 2021-12-01 14:11 PST (History)
12 users (show)

See Also:


Attachments
Patch (2.03 KB, patch)
2021-10-13 12:54 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (19.94 KB, patch)
2021-10-15 09:46 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (20.91 KB, patch)
2021-10-15 09:58 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (13.47 KB, patch)
2021-10-19 13:10 PDT, Per Arne Vollan
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (20.01 KB, patch)
2021-10-19 14:16 PDT, Per Arne Vollan
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (32.82 KB, patch)
2021-10-21 09:16 PDT, Per Arne Vollan
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (14.16 KB, patch)
2021-11-08 09:48 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (14.20 KB, patch)
2021-11-08 09:54 PST, Per Arne Vollan
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (19.50 KB, patch)
2021-11-08 09:57 PST, Per Arne Vollan
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (19.39 KB, patch)
2021-11-08 10:34 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (19.50 KB, patch)
2021-11-17 11:11 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2021-10-13 12:51:58 PDT
After https://trac.webkit.org/changeset/274435/webkit, there is no need to allow access to this service.
Comment 1 Per Arne Vollan 2021-10-13 12:54:38 PDT
Created attachment 441121 [details]
Patch
Comment 2 Per Arne Vollan 2021-10-13 12:55:30 PDT
<rdar://75225923>
Comment 3 Brent Fulgham 2021-10-13 14:39:22 PDT
Comment on attachment 441121 [details]
Patch

r=me
Comment 4 Per Arne Vollan 2021-10-15 09:46:22 PDT
Created attachment 441387 [details]
Patch
Comment 5 Per Arne Vollan 2021-10-15 09:47:19 PDT
(In reply to Brent Fulgham from comment #3)
> Comment on attachment 441121 [details]
> Patch
> 
> r=me

I have uploaded a revised patch for review.

Thanks for reviewing!
Comment 6 Per Arne Vollan 2021-10-15 09:58:21 PDT
Created attachment 441391 [details]
Patch
Comment 7 Brent Fulgham 2021-10-15 15:21:50 PDT
Comment on attachment 441391 [details]
Patch

r=me
Comment 8 Brent Fulgham 2021-10-15 15:22:27 PDT
Can you clean up the error in the header file noted by the style check script?
Comment 9 Per Arne Vollan 2021-10-19 13:10:26 PDT
Created attachment 441779 [details]
Patch
Comment 10 Per Arne Vollan 2021-10-19 13:18:33 PDT
(In reply to Brent Fulgham from comment #8)
> Can you clean up the error in the header file noted by the style check
> script?

In the current form of the patch, I believe this include is needed, since the implementation of the template should be in the header file. I will look closer into fixing this style error.

Thanks for reviewing!
Comment 11 Per Arne Vollan 2021-10-19 14:16:20 PDT
Created attachment 441797 [details]
Patch
Comment 12 Per Arne Vollan 2021-10-21 09:16:54 PDT
Created attachment 442039 [details]
Patch
Comment 13 Per Arne Vollan 2021-11-08 09:48:54 PST
Created attachment 443559 [details]
Patch
Comment 14 Per Arne Vollan 2021-11-08 09:54:28 PST
Created attachment 443560 [details]
Patch
Comment 15 Per Arne Vollan 2021-11-08 09:57:10 PST
Created attachment 443563 [details]
Patch
Comment 16 Per Arne Vollan 2021-11-08 10:34:44 PST
Created attachment 443569 [details]
Patch
Comment 17 EWS 2021-11-08 14:28:31 PST
Committed r285432 (243988@main): <https://commits.webkit.org/243988@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 443569 [details].
Comment 18 WebKit Commit Bot 2021-11-08 20:21:12 PST
Re-opened since this is blocked by bug 232864
Comment 19 Per Arne Vollan 2021-11-17 11:11:10 PST
Created attachment 444538 [details]
Patch
Comment 20 EWS 2021-11-18 15:54:27 PST
Committed r286037 (244425@main): <https://commits.webkit.org/244425@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444538 [details].
Comment 21 WebKit Commit Bot 2021-12-01 13:59:59 PST
Re-opened since this is blocked by bug 233724
Comment 22 Per Arne Vollan 2021-12-01 14:11:45 PST
Note to self: this should be tested on test.webrtc.org.